Subject: RE: [Sigtran] M3UA: Network Appearance in Routing Key parameter

From: "J.Javier Pastor (ML/EEM)" <[email-masked]>
Date: Wed, 14 Jan 2004 13:05:43 +0100

Hi, 

Yes, although a "weak conditional", we should turn it into conditional to follow a consistent labeling. We'll make the change for the new version.

Regarding the last sentence Barry mentions, I think it is the use as a wildcard what is stated here, but for creating different ASes at the same time, one per available NA. Would this be acceptable?

Thanks // Javier.

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]]On Behalf Of
> Brian F. G. Bidulock
> Sent: jueves, 25 de diciembre de 2003 4:25
> To: Tolga Asveren
> Cc: SIGTRAN Mailing List
> Subject: Re: [Sigtran] M3UA: Network Appearance in Routing 
> Key parameter
> 
> 
> Tolga,
> 
> It probably should be "conditional".   I think it
> is just one "optional" we missed in the change to
> "conditional".
> 
> I am quite sure that in dicussions we were not going
> to allow an AS to span NA.  It would not be terribly
> useful, anyway.
> 
> However, because registration must be provisioned at
> the SG, it is always possible to provision a per-ASP
> default, regardless of the fact that the SG may exist
> in more than on NA.  All that the SG needs to know is
> that this particular ASP only registers (or default
> registers) in a given NA.  So I would say, at most
> a "weak conditional".  Perhaps that's why we left it
> as optional.
> 
> --brian
> 
> 
> Tolga Asveren wrote:                                          
>                        (Wed, 24 Dec 2003 13:36:43)
> > No, no, that was not what I tried to say, I thought
> > creating multiple RKs, one for each network. But this
> > also won't work, because there will be only one
> > registration result per request, I missed that part.
> > Otherwise thinking to link one AS to multiple networks
> > will definitly violate the principle of not spanning
> > multiple SPMS in an AS, which definitly will break a
> > lot of mechanisms in the protocol.
> > 
> > So, seems I am remembering wrong, anybody any idea
> > about the original question? Now, seems to me
> > something to be corrected....
> > 
> >     Tolga
> > --- Barry Nagelberg <[email-masked]> wrote:
> > > Tolga,
> > > 
> > > Thanks, but I don't think that your interpretation
> > > below is useful.
> > > 
> > > Let's not forget that the Reg Req is, among other
> > > things, a request by the
> > > ASP to create a new AS. Your interpretation means
> > > that the SGP would be
> > > linking this single, newly-created AS to multiple
> > > SS7 networks. I don't
> > > think that this is practical. A given AS should be
> > > linked to exactly one SS7
> > > network.
> > > 
> > > Barry Nagelberg
> > > 
> > > > -----Original Message-----
> > > > From: [email-masked]
> > > [mailto:[email-masked]]On Behalf Of
> > > > Tolga Asveren
> > > > Sent: Wednesday, December 24, 2003 3:28 PM
> > > > To: SIGTRAN Mailing List
> > > > Subject: Re: [Sigtran] M3UA: Network Appearance in
> > > Routing Key parameter
> > > >
> > > >
> > > > Hi Barry,
> > > >
> > > > As far as I remember -not 100% sure though- it
> > > means
> > > > the following:
> > > > If NA is not there, ASP wants to register for the
> > > > specified traffic range in every network on SG.
> > > So, it
> > > > really is optinal, because it is possible to
> > > operate
> > > > in that way, even if there are multiple networks.
> > > >
> > > > Whether this is really usefull or not is a
> > > different
> > > > issue. At least now, a conditional NA parameter,
> > > which
> > > > must be included in case of multiple networks
> > > sound
> > > > more logical and easier to understand. In such a
> > > case,
> > > > there will be a need of multiple registration for
> > > each
> > > > network, even if PC/traffic range of AS is the
> > > same in
> > > > each network, but practically I wouldn't think
> > > this as
> > > > a huge problem. On the other hand, I would think,
> > > as
> > > > it is right now, is alo not a huge problem.
> > > >
> > > >     Tolga
> > > > --- Barry Nagelberg <[email-masked]> wrote:
> > > > > RFC 3332, in section 3.6.1, states that the
> > > Network
> > > > > Appearance parameter is
> > > > > optional in the Routing Key parameter of a REG
> > > REQ
> > > > > msg:
> > > > >
> > > > > <snip>
> > > > > The optional Network Appearance parameter field
> > > > > identifies the SS7
> > > > > network context for the Routing Key, and has the
> > > > > same format as in
> > > > > the DATA message (See Section 3.3.1) with the
> > > > > exception that it
> > > > > does not have to be the first parameter in the
> > > > > message.  The
> > > > > absence of the Network Appearance parameter in
> > > the
> > > > > Routing Key
> > > > > indicates the use of any Network Appearance
> > > value.
> > > > > <snip>
> > > > >
> > > > > There are at least 2 problems here:
> > > > >
> > > > > 1. This parameter should be conditional, not
> > > > > optional. It should be
> > > > > conditional in the sense that it is required
> > > when
> > > > > the SGP is handling
> > > > > traffic for more than one SS7 network. If such
> > > an
> > > > > SGP receives a Routing Key
> > > > > from the ASP with no Network Appearance
> > > parameter,
> > > > > how can the SGP possibly
> > > > > know to which SS7 network to link the
> > > newly-created
> > > > > Routing Key/AS/Routing
> > > > > Context?
> > > > >
> > > > > 2. The last sentence is very confusing. What is
> > > > > meant by "indicates the use
> > > > > of any Network Appearance value."? Use where? To
> > > > > indicate what?
> > > > >
> > > > > Barry Nagelberg
> > > 
> > > 
> > > _______________________________________________
> > > Sigtran mailing list
> > > [email-masked]
> > > https://www1.ietf.org/mailman/listinfo/sigtran
> > 
> > __________________________________
> > Do you Yahoo!?
> > Protect your identity with Yahoo! Mail AddressGuard
> > http://antispam.yahoo.com/whatsnewfree
> > 
> > _______________________________________________
> > Sigtran mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/sigtran
> 
> -- 
> Brian F. G. Bidulock
> [email-masked]
> http://www.openss7.org/
> 
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran
> 

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Tolga Asveren" <[email-masked]>
Date: Wed, 14 Jan 2004 08:43:03 -0500

Hi Javier,

> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> J.Javier Pastor (ML/EEM)
> Sent: Wednesday, January 14, 2004 7:06 AM
> To: [email-masked]'; Tolga Asveren
> Cc: SIGTRAN Mailing List
> Subject: RE: [Sigtran] M3UA: Network Appearance in Routing Key parameter
>
>
> Hi,
>
> Yes, although a "weak conditional", we should turn it into
> conditional to follow a consistent labeling. We'll make the
> change for the new version.
>
> Regarding the last sentence Barry mentions, I think it is the use
> as a wildcard what is stated here, but for creating different
> ASes at the same time, one per available NA. Would this be acceptable?
[TOLGA]I think, then we would have the problem of communicating RCs for
those multiple ASs back to ASP. In REGRSP we have only one RC parameter per
localRK identifier.

---

From: "Barry Nagelberg" <[email-masked]>
Date: Wed, 14 Jan 2004 09:16:27 -0500

Javier,

Regarding the "last" sentence that I mentioned below, that is currently in
the RFC and is very confusing:

<snip>
The absence of the Network Appearance parameter in the Routing Key indicates
the use of any Network Appearance value.
<snip>

Your suggestion below -

"I think it is the use as a wildcard what is stated here, but for creating
different ASes at the same time, one per available NA."

- is not very helpful in relieving the confusion. I suggest that we stick
with the "conditional" parameter, which MUST be present if the SGP is
handling traffic for more than one SS7 network.

Barry Nagelberg

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 14 Jan 2004 11:21:54 -0700

Barry,

I disagree.  That would impede the ability of an SG implementation to
rationally assign an NA where none is provided, relieving the ASP of
the need to provision NAs of which it has no knowledge.  An ASP that
operates in a single NA need not have to be provisioned with NA, nor
does it need to include it in the message, regardless of the number
of networks for which the SG is provisioned.

Besides, the "conditional" was never on the basis of the SG, but was
on the basis of the association.  If the association (i.e. SG-ASP tuple) is
provisioned to operate in more than one network then NA should be provided.
But how many networks an SGP operates in is of little moment.

--brian

Barry Nagelberg wrote:                                                               (Wed, 14 Jan 2004 09:16:27)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/